(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2013-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

let print_element ppf = function
  | (u_t, u_t0) ->
    Format.fprintf ppf "%,@[<1>(@,"; Unatural_print.print_t ppf u_t;
    Format.fprintf ppf "%,,@ "; Unatural_print.print_t ppf u_t0;
    Format.fprintf ppf "%,@,)@]"
;;

let print_index ppf = function
  | e_u_t -> Uindex_print.print_t print_element ppf e_u_t
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
